# VectorNav C++ Library: vn::xplat::CriticalSection Class Reference

vn::xplat::CriticalSection Class Reference

Represents a cross-platform critical section. More...

`#include <criticalsection.h>`

Inheritance diagram for vn::xplat::CriticalSection:

## Public Member Functions

| CriticalSection ()
| Creates a new critical section.
void | enter ()
| Requests and signals that a critical section is being entered.
void | leave ()
| Signals that a critical section is being left.

## Detailed Description

Represents a cross-platform critical section.

The documentation for this class was generated from the following file:

- include/vn/criticalsection.h